2016-05-19 1 views
0

Ich installierte Foundation 6 mit bower-rails auf einer Rails App (Rails v4.2.6).
es in meinem css überFoundation 6 Installiert mit Bower-Rails Sass :: SyntaxError

@import 'foundation-sites/scss/settings/settings'; 
@import 'foundation-sites/scss/foundation'; 

ich diesen Fehler importiert, wenn ich die Seite laden

Sass::SyntaxError in Controller#action Invalid CSS after "...-flexbox: true ": expected "}", was "!global;"

Wenn ich die Ebene CSS-Dateien importieren, es zeigt aber diesen Fehler funktioniert, wenn ich Importieren Sie die Sass-Dateien.

Fehle ich etwas?

Antwort

2

Foundation 6 verwendet die neueste Sass-Syntax wie '! Global'.

Aktualisierung Sass auf die neueste Version sollte den Trick tun.

$ gem update sass

Hoffnung, das hilft.

Verwandte Themen